{{#if this.showTeamSection}}
  <Manage::RowAdd @name="team" as |id|>
    {{#if this.teamList}}
      {{#if this.user.isAdmin}}
        <Manage::SelectWithVisibility @id={{id}} @list={{this.teamList}} @value={{this.team}} @onChange={{this.changeTeam}} @areAllShowing={{@all}} @toggleAll={{@onToggleAll}} />
      {{else}}
        <Input::Select id={{id}} @list={{this.teamList}} @value={{this.team}} @onChange={{this.changeTeam}} />
      {{/if}}
    {{else}}
      <LinkTo @route="manage.teams.add" @query={{hash next=@next}} class="btn btn-secondary btn btn-add-team">
        <FaIcon @icon="plus" />
        {{capitalize (t "team")}}
      </LinkTo>
    {{/if}}
  </Manage::RowAdd>
{{/if}}
<div class="d-none" {{did-insert this.setup}}></div>